Subject: bug#41519: 26.3; transient-mark-mode + WSL + vcxsrv clobbers clipboard

From: "Crawford, Christopher" <[email-masked]>
Date: Mon, 25 May 2020 17:49:08 -0400

Thanks for your help, and you are right:  disabling  select-active-regions
fixes it.
Prompted by your response, I found an option in VcXsrv, "Clipboard may use
PRIMARY selection" (right-clicking on the server icon) which could also be
disabled to allow cut and paste between Windows and Emacs without
clobbering the clipboard.

On Mon, May 25, 2020 at 10:36 AM Eli Zaretskii <[email-masked]> wrote:

> > From: "Crawford, Christopher" <[email-masked]>
> > Date: Sun, 24 May 2020 23:54:44 -0400
> >
> > In a fresh 'emacs -q',
> > whenever I highlight text with the mouse, or S-<right>, or C-spc
> <right?, etc, emacs copies the text into the
> > Windows clipboard, and I can't disable it.  This means that I cannot
> highlight text in Emacs and replace it
> > with text previously copied from a Windows program.  I'm running on
> Ubuntu 18.04 on WSL using VcXsrv.
>
> I don't think this is an Emacs bug.  Emacs puts the selected text into
> the X selection; I'm guessing that some WSL agent then copies that
> selection into the Windows clipboard.  This doesn't happen when
> running on Windows natively.
>
> > I've tried every combination of
> >   transient-mark-mode
> >   shift-selection-mode
> >   save-interprogram-paste-before-kill
> > with no success.
> > If I disable  select-enable-clipboard , it won't paste from the
> clipboard,
> > and setting  select-enable-primary  also doesn't seem to matter.
>
> Did you try setting select-active-regions to nil?
>